<script>
import { GlDropdown, GlDropdownItem } from '@gitlab/ui'
import GitlabLogo from '../components/GitlabLogo.vue'

export default {
  name: 'DefaultLayout',

  components: { GitlabLogo, GlDropdown, GlDropdownItem },

  data() {
    return {
      items: [
        { label: 'Service Ping', to: '/' },
        { label: 'Snowplow', to: '/snowplow' },
        { label: 'Status', to: '/status' },
      ],
      externalItems: [
        {
          label: 'Data Exploration',
          to: 'https://app.periscopedata.com/app/gitlab/1049395/WIP:-Service-Ping-Exploration-Dashboard',
        },
      ],
    }
  },
}
</script>

<template>
  <div>
    <nav style="background-color: #2f2a6b">
      <div class="mx-auto max-w-7xl px-4 sm:px-6 lg:px-8">
        <div class="relative flex h-16 items-center justify-between">
          <div class="flex flex-1 items-center justify-between">
            <div class="flex flex-shrink-0 items-center">
              <gitlab-logo />
              <strong class="text-white">Metrics Dictionary</strong>
            </div>

            <div class="hidden items-center space-x-2 text-center sm:flex">
              <nuxt-link
                v-for="item in items"
                :key="item.to"
                :to="item.to"
                class="rounded px-3 py-2 text-sm font-medium text-indigo-300 underline-offset-4 hover:text-white"
                active-class="text-white bg-black/25 text-decoration-none"
                exact
                v-text="item.label"
              />
              <a
                v-for="item in externalItems"
                :key="item.to"
                :href="item.to"
                class="rounded px-3 py-2 text-sm font-medium text-indigo-300 underline-offset-4 hover:text-white"
              >
                {{ item.label }}
              </a>
            </div>

            <gl-dropdown
              icon="hamburger"
              text="Navigation items"
              class="rounded bg-indigo-300/50 sm:hidden"
              :text-sr-only="true"
              category="tertiary"
              no-caret
              right
            >
              <gl-dropdown-item
                v-for="item in items.concat(externalItems)"
                :key="item.to"
                :href="item.to"
                :class="{
                  'pointer-events-none bg-indigo-100 text-black':
                    $route.path === item.to,
                }"
              >
                {{ item.label }}
              </gl-dropdown-item>
            </gl-dropdown>
          </div>
        </div>
      </div>
    </nav>

    <Nuxt />
  </div>
</template>
